summaryrefslogtreecommitdiffstats
path: root/academic/meep
diff options
context:
space:
mode:
Diffstat (limited to 'academic/meep')
-rw-r--r--academic/meep/README38
-rw-r--r--academic/meep/i386-fix.patch.gzbin0 -> 607 bytes
-rw-r--r--academic/meep/meep.SlackBuild11
-rw-r--r--academic/meep/meep.info8
4 files changed, 33 insertions, 24 deletions
diff --git a/academic/meep/README b/academic/meep/README
index a0623df2cc..4bfc8b293b 100644
--- a/academic/meep/README
+++ b/academic/meep/README
@@ -1,8 +1,11 @@
meep (electromagnetic FDTD solver)
Meep is a free and open-source software package for electromagnetics
-simulation via the finite-difference time-domain (FDTD) method spanning
-a broad range of applications. It saves results in hdf5 format.
+simulation via the finite-difference time-domain (FDTD) method
+spanning a broad range of applications. It saves results in hdf5
+format.
+
+This package requires: hdf5, libctl, lapack, mpb
You probably will also want to preinstall: harminv, openmpi
@@ -17,26 +20,27 @@ interface will not build without it.
Configuration:
-If the build script can find the ATLAS libraries, it will adapt the
-configure options to use them, rather than the the default choice of
-lapack.
+If the build script can find the ATLAS libraries, it will adapt the
+configure options to use them, rather than the the default choice of
+lapack.
-You can add additional options to the command line using
-the environment variable SBOPTIONS_MEEP; e.g. to enable MPI
-(multi-processor calculation) using openmp, use:
+You can add additional options to the command line using the
+environment variable SBOPTIONS_MEEP; e.g. to enable MPI (multi-
+processor calculation) using openmp, use:
SBOPTIONS_MEEP="--with-openmp" ./meep.Slackbuild
-Alternatively, if building non-interactively (e.g. if using slpkg),
-use/create the file /etc/sbo_pkg_options.conf since this slackbuild
-script will search it for options. Simply include a line starting
+Alternatively, if building non-interactively (e.g. if using slpkg),
+use/create the file /etc/sbo_pkg_options.conf since this slackbuild
+script will search it for options. Simply include a line starting
"meep:" followed by options, e.g.:
meep: --with-openmp
-Currently, building the python support for meep can be problematic
-unless the mpb package is also installed; if you do so, and (e.g.) use
-openmp, it is best to build mpb with the same option. You may also
-need to install mpi4py using pip. If you do not want python support,
-specify "--without-python", and in this case installing mpb is not
-necessary.
+Currently, building the python support for meep can be problematic
+unless the mpb package is also installed; if you do so, and (e.g.)
+use openmp, it is best to build mpb with the same option. You may
+also need to install mpi4py using pip. If you do not want python
+support, specify "--without-python", and in this case installing mpb
+is not necessary.
+
diff --git a/academic/meep/i386-fix.patch.gz b/academic/meep/i386-fix.patch.gz
new file mode 100644
index 0000000000..c5572c316c
--- /dev/null
+++ b/academic/meep/i386-fix.patch.gz
Binary files differ
diff --git a/academic/meep/meep.SlackBuild b/academic/meep/meep.SlackBuild
index 8f38e6eaf3..629d20e14d 100644
--- a/academic/meep/meep.SlackBuild
+++ b/academic/meep/meep.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=meep
-VERSION=${VERSION:-1.17.1}
+VERSION=${VERSION:-1.25.0}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -64,19 +64,23 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
# change annoying underscores into hyphens
SVERSION=$(echo $VERSION | tr '_' '-')
# make a custom list of doc files in advance
DOCFILES="AUTHORS COPYRIGHT LICENSE TODO NEWS.md"
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$SVERSION
tar xvf $CWD/$PRGNAM-$SVERSION.tar.gz
cd $PRGNAM-$SVERSION
+# patch 32bit build - thanks debian devs
+case "$ARCH" in
+ i?86) zcat $CWD/i386-fix.patch.gz | patch -p1 ;;
+esac
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -112,6 +116,7 @@ fi
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="$SLKCFLAGS" \
+PYTHON=/usr/bin/python3 \
./configure \
--prefix=/usr \
--mandir=/usr/man \
diff --git a/academic/meep/meep.info b/academic/meep/meep.info
index 8faea2fd0f..e999eb6ae0 100644
--- a/academic/meep/meep.info
+++ b/academic/meep/meep.info
@@ -1,10 +1,10 @@
PRGNAM="meep"
-VERSION="1.17.1"
+VERSION="1.25.0"
HOMEPAGE="https://github.com/NanoComp/meep"
-DOWNLOAD="https://github.com/NanoComp/meep/releases/download/v1.17.1/meep-1.17.1.tar.gz"
-MD5SUM="657ecf1fa5459c73fdddd749dd81ec04"
+DOWNLOAD="https://github.com/NanoComp/meep/releases/download/v1.25.0/meep-1.25.0.tar.gz"
+MD5SUM="968b8da6c25aae3757457520d1520eb2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="lapack hdf5 libctl mpb"
+REQUIRES="mpb"
MAINTAINER="PaulKinsler"
EMAIL="dr.paul@kinsler.org"